Bug 1478700 - Screen flickering (Intel HD Graphics 620 (Kaby Lake GT2))
Screen flickering (Intel HD Graphics 620 (Kaby Lake GT2))
Status: NEW
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
26
x86_64 Linux
unspecified Severity urgent
: ---
: ---
Assigned To: Kernel Maintainer List
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-06 05:17 EDT by Armin Wehrfritz
Modified: 2017-08-08 22:08 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Armin Wehrfritz 2017-08-06 05:17:25 EDT
Description of problem:
The screen of my Dell Latitude 7480 laptop is flickering.
The issue does not occur when the laptop is connected to an external display (via a Dell WD 15 docking station using a USB-C/DisplayPort connection).

The issue started to appear after a BIOS update (applied via Windows 10 on August 3 2017; new BIOS version is 1.5.2). The system was working without problems for about one month before that.
Not sure if related, but the changelog of the BIOS update lists "Updated Processor Microcode" as one item.

I assume this is not an xorg but rather a kernel driver issue, since it also occurs when I am in a terminal (i.e. without X-server).


Workaround:
When setting the kernel boot parameter i915.enable_rc6=0 the screen is not flickering and everything works as expected.


Version-Release number of selected component:
Processor: Intel(R) Core(TM) i7-7600U CPU @ 2.80GHz
GPU: Intel(R) HD Graphics 620 (Kaby Lake GT2)
Kernel: 4.11.11-300.fc26.x86_64
libdrm: 2.4.82-1.fc26
Mesa: 17.1.5-1.fc26
Desktop environment: KDE Frameworks 5.36.0


How reproducible:
Simply boot the laptop (without an external display), the flickering is immediately visible when the login screen shows up or in a terminal session (i.e. without X-server).


Possibly related bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1353664
https://bugzilla.redhat.com/show_bug.cgi?id=1353008
https://bugzilla.redhat.com/show_bug.cgi?id=1354129
Comment 1 Armin Wehrfritz 2017-08-06 07:41:02 EDT
I found this error message in the log (dmesg) in cases when the flickering occurs:
[drm:intel_cpu_fifo_underrun_irq_handler [i915]] *ERROR* CPU pipe A FIFO underrun

When setting the kernel boot parameter i915.enable_rc6=0 this error does not occur and the screen is not flickering. Not entirely sure if it is relevant to this bug, but it very much seems so.
Comment 2 Maxim Molchanov 2017-08-08 22:08:46 EDT
I confirm the same issue with F26 + Cinnamon desktop. Option "i915.enable_rc6=0" seems to workaround the issue.

$ dmesg  |grep 915
[    0.000000] Command line: BOOT_IMAGE=/boot/vmlinuz-4.11.11-300.fc26.x86_64 root=UUID=a36ad57f-055e-410f-9758-848bad1a2169 ro i915.enable_rc6=0 rhgb quiet
[    0.000000] Kernel command line: BOOT_IMAGE=/boot/vmlinuz-4.11.11-300.fc26.x86_64 root=UUID=a36ad57f-055e-410f-9758-848bad1a2169 ro i915.enable_rc6=0 rhgb quiet
[    3.139155] ACPI: Power Resource [LPP] (on)
[    3.889150] AES CTR mode by8 optimization enabled
[    4.730391] i915 0000:00:02.0: vgaarb: changed VGA decodes: olddecodes=io+mem,decodes=none:owns=io+mem
[    5.876895] [drm] Initialized i915 1.6.0 20170123 for 0000:00:02.0 on minor 1
[    7.037151] i915 0000:00:02.0: fb0: inteldrmfb frame buffer device
[    8.212754] snd_hda_intel 0000:00:03.0: bound 0000:00:02.0 (ops i915_audio_component_bind_ops [i915])

$ lspci | grep VGA
00:02.0 VGA compatible controller: Intel Corporation HD Graphics 5500 (rev 09)
04:00.0 VGA compatible controller: Advanced Micro Devices, Inc. [AMD/ATI] Opal PRO [Radeon R7 M260] (rev ff)

$ uname -a
Linux localhost 4.11.11-300.fc26.x86_64 #1 SMP Mon Jul 17 16:32:11 UTC 2017 x86_64 x86_64 x86_64 GNU/Linux

Note You need to log in before you can comment on or make changes to this bug.